<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-ui:icon
	icon="download"
	iconCssClass="dropdown-item-indicator-start"
	id="importDataDefinitionIcon"
	markupView="lexicon"
	message="import-structure"
	onClick='<%= liferayPortletResponse.getNamespace() + "openImportDataDefinitionModal();" %>'
	url="javascript:void(0);"
/>

<div>
	<react:component
		module="js/modals/ImportDataDefinitionModal"
		props='<%=
			HashMapBuilder.<String, Object>put(
				"importDataDefinitionURL",
				PortletURLBuilder.createActionURL(
					renderResponse
				).setActionName(
					"/journal/import_data_definition"
				).setRedirect(
					currentURL
				).buildString()
			).put(
				"nameMaxLength", ModelHintsConstants.TEXT_MAX_LENGTH
			).build()
		%>'
	/>
</div>

<aui:script>
	function <portlet:namespace />openImportDataDefinitionModal() {
		Liferay.componentReady(
			'<portlet:namespace />importDataDefinitionModal'
		).then((importDataDefinitionModal) => {
			importDataDefinitionModal.open();
		});
	}
</aui:script>